Subject: bug#23137: 25.1.50; Subpixel rendering is broken when not running under gnome-session

From: Matthew Leach <[email-masked]>
Date: Tue, 29 Mar 2016 08:05:20 +0100

Hi Eli,

Eli Zaretskii <[email-masked]> writes:

>> From: Matthew Leach <[email-masked]>
>> Date: Mon, 28 Mar 2016 22:16:45 +0100
>> 
>> I sometimes switch between two WMs, namely i3 and GNOME3.  I've noticed
>> that under GNOME3, the font rendering in Emacs seems to be, in my
>> opinion, nicer than in i3.  The difference is that under GNOME3 Emacs
>> uses subpixel rendering and not in i3.
>
> What is "subpixel rendering"?

[1] gives an overview of what it is and the 'rgba' values in [2] show
how to configure it.  I think MS use the term ClearType on their Windows
platform.

Thanks,
-- 
Matt

[1]: https://en.wikipedia.org/wiki/Subpixel_rendering
[2]: http://linux.die.net/man/5/fonts-conf